summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Schultz2011-12-23 05:28:53 +0100
committer Niels Horn2011-12-23 17:03:46 +0100
commita391e6faecccd2025cda7ffe282b193ff346cc9e (patch)
tree820cbc5fbd3245476f3bdad6bf5ec8aa4336ace5
parent0dd642ad3e583c6a192e633c8ef82a1430bd149e (diff)
downloadslackbuilds-a391e6faecccd2025cda7ffe282b193ff346cc9e.tar.gz
development/google-appengine-pysdk: Added (Appengine Python SDK)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--development/google-appengine-pysdk/README9
-rw-r--r--development/google-appengine-pysdk/doinst.sh15
-rw-r--r--development/google-appengine-pysdk/gae.csh3
-rw-r--r--development/google-appengine-pysdk/gae.sh3
-rw-r--r--development/google-appengine-pysdk/google-appengine-pysdk.SlackBuild72
-rw-r--r--development/google-appengine-pysdk/google-appengine-pysdk.info10
-rw-r--r--development/google-appengine-pysdk/slack-desc19
7 files changed, 131 insertions, 0 deletions
diff --git a/development/google-appengine-pysdk/README b/development/google-appengine-pysdk/README
new file mode 100644
index 0000000000..58450fe6cf
--- /dev/null
+++ b/development/google-appengine-pysdk/README
@@ -0,0 +1,9 @@
+google-appengine-pysdk (Google Appengine Python SDK)
+
+The Python SDK includes a web server application that simulates the App Engine
+environment, including a local version of the datastore, Google Accounts, and
+the ability to fetch URLs and send email directly from your computer using the
+App Engine APIs. The Python SDK runs on any computer with Python 2.5, and
+versions are available for Windows, Mac OS X and Linux. (The Python SDK is not
+compatible with Python 3.)
+
diff --git a/development/google-appengine-pysdk/doinst.sh b/development/google-appengine-pysdk/doinst.sh
new file mode 100644
index 0000000000..14f1759aff
--- /dev/null
+++ b/development/google-appengine-pysdk/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config /etc/profile.d/gae.csh.new
+config /etc/profile.d/gae.sh.new
diff --git a/development/google-appengine-pysdk/gae.csh b/development/google-appengine-pysdk/gae.csh
new file mode 100644
index 0000000000..9032cb15a8
--- /dev/null
+++ b/development/google-appengine-pysdk/gae.csh
@@ -0,0 +1,3 @@
+#!/bin/csh
+setenv GAEBIN /opt/google/appengine-pysdk
+setenv PATH ${PATH}:${GAEROOT} \ No newline at end of file
diff --git a/development/google-appengine-pysdk/gae.sh b/development/google-appengine-pysdk/gae.sh
new file mode 100644
index 0000000000..ea4a7c8140
--- /dev/null
+++ b/development/google-appengine-pysdk/gae.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+export GAEROOT=/opt/google/appengine-pysdk
+export PATH="${PATH}:${GAEROOT}" \ No newline at end of file
diff --git a/development/google-appengine-pysdk/google-appengine-pysdk.SlackBuild b/development/google-appengine-pysdk/google-appengine-pysdk.SlackBuild
new file mode 100644
index 0000000000..6e43de2040
--- /dev/null
+++ b/development/google-appengine-pysdk/google-appengine-pysdk.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for google-appengine-gosdk
+
+# Copyright (c) 2011 Eric Schultz
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy of
+# this software and associated documentation files (the "Software"), to deal in
+# the Software without restriction, including without limitation the rights to
+# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+# the Software, and to permit persons to whom the Software is furnished to do so,
+# subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+
+# Written by Eric Schultz eric at schultzter dot ca
+
+PRGNAM=google-appengine-pysdk
+VERSION=${VERSION:-1.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/google $OUTPUT
+cd $PKG/opt/google
+unzip $CWD/google_appengine_$VERSION.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Rename to remove redundancy
+mv google_appengine appengine-pysdk
+
+# Put the profile scripts for setting PATH and env variables
+mkdir -p $PKG/etc/profile.d
+install -m0755 -oroot $CWD/gae.csh $PKG/etc/profile.d/gae.csh.new
+install -m0755 -oroot $CWD/gae.sh $PKG/etc/profile.d/gae.sh.new
+
+cd appengine-pysdk
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS LICENSE README RELEASE_NOTES VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cp $CWD/doinst.sh $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/google-appengine-pysdk/google-appengine-pysdk.info b/development/google-appengine-pysdk/google-appengine-pysdk.info
new file mode 100644
index 0000000000..75a72fbbb7
--- /dev/null
+++ b/development/google-appengine-pysdk/google-appengine-pysdk.info
@@ -0,0 +1,10 @@
+PRGNAM="google-appengine-pysdk"
+VERSION="1.6.0"
+HOMEPAGE="http://code.google.com/appengine/"
+DOWNLOAD="http://googleappengine.googlecode.com/files/google_appengine_1.6.0.zip"
+MD5SUM="ea5bc455e6da18acbbe47d8a27a94239"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eric Schultz"
+EMAIL="eric at schultzter dot ca"
+APPROVED="dsomero"
diff --git a/development/google-appengine-pysdk/slack-desc b/development/google-appengine-pysdk/slack-desc
new file mode 100644
index 0000000000..908ec566b9
--- /dev/null
+++ b/development/google-appengine-pysdk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+google-appengine-pysdk: google-appengine-pysdk (Google Appengine Python SDK)
+google-appengine-pysdk:
+google-appengine-pysdk: The Python SDK includes a web server application that simulates the
+google-appengine-pysdk: App Engine environment, including a local version of the datastore,
+google-appengine-pysdk: Google Accounts, and the ability to fetch URLs and send email
+google-appengine-pysdk: directly from your computer using the App Engine APIs. The Python
+google-appengine-pysdk: SDK runs on any computer with Python 2.5, and versions are available
+google-appengine-pysdk: for Windows, Mac OS X and Linux. (The Python SDK is not compatible
+google-appengine-pysdk: with Python 3.)
+google-appengine-pysdk:
+google-appengine-pysdk: Homepage: http://code.google.com/appengine \ No newline at end of file